Cambrionix connect
Developers
Authentication API

User

View and modify user settings, roles and organizations.

Get Current User

GET

/user

Get the current user.

Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/user" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get User Detail

GET

/user/detail

Get the current user's detail

Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired

UserDetail

401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/user/detail" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Update User Detail

PATCH

/user/detail

Update the current user's detail

Requires a bearer access token for this API with the Global.Self.Write permission. See Authentication.

Request body

object
displayNamestring
givenNamestring
surnamestring

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/v1/user/detail" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "displayName": "string",
  "givenName": "string",
  "surname": "string"
}'

Get User Invitations

GET

/user/invites

Get any invitations that the user has received.

Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.

Parameters

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganizationInvite[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/user/invites" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get MFA Status

GET

/user/mfa

Get the current user's Auth0 MFA factor availability and enrollment status.

Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/user/mfa" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Create MFA Enrollment Ticket

POST

/user/mfa

Create an Auth0 Guardian MFA enrollment ticket for a specific factor. Existing enrollments for that factor are cleared so users can set up or reset it.

Requires a bearer access token for this API with the Global.Self.Write permission. See Authentication.

Request body

object
factorstringrequired

One of: "otp", "email", "webauthn-roaming", "webauthn-platform"

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/v1/user/mfa" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "factor": "otp"
}'

Delete MFA Enrollment

DELETE

/user/mfa/enrollments/{enrollmentId}

Delete a specific Auth0 Guardian MFA enrollment for the current user.

Requires a bearer access token for this API with the Global.Self.Write permission. See Authentication.

Parameters

enrollmentIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/v1/user/mfa/enrollments/{enrollmentId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get User Organizations

GET

/user/organizations

Get the organizations that the user is associated with.

Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.

Parameters

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganization[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/user/organizations" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Global User Permissions

GET

/user/permissions

Get all Global User Permissions for the current User.

Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultstring[]required

One of: "Global.E2E.Write", "Global.Organization.Read", "Global.Organization.Write", "Global.Organization.Join", "Global.Organization.Create", "Global.Role.Write", "Global.Role.Read", "Global.License.Template.Read", "Global.License.Template.Write", "Global.License.Template.Delete", "Global.License.Feature.Template.Read", "Global.License.Feature.Template.Write" and 62 more

401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/user/permissions" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Session Activity

GET

/user/session-activity

Get the current user's last successful sign-in time and IP address from Auth0.

Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired

UserSessionActivity

401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/user/session-activity" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get User Settings

GET

/user/settings

Get the current user's settings

Requires a bearer access token for this API with the Global.Self.Read permission. See Authentication.

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/user/settings" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Update User Settings

PUT

/user/settings

Update the current user's settings

Requires a bearer access token for this API with the Global.Self.Write permission. See Authentication.

Request body

UpdateUserSettingsRequest

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PUT "https://connect.cambrionix.com/api/v1/user/settings" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Patch User Settings

PATCH

/user/settings

Partially update the current user's settings

Requires a bearer access token for this API with the Global.Self.Write permission. See Authentication.

Request body

object
defaultOrganizationobject
notificationsobject
personalizationobject

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/v1/user/settings" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "defaultOrganization": {
    "id": "string"
  },
  "notifications": {
    "disconnection": true,
    "rfid": true,
    "update": true,
    "firmware": true
  },
  "personalization": {
    "theme": "Light",
    "units": {
      "memory": "Binary",
      "temperature": "Celsius"
    }
  }
}'